CssParser.ParseError (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.css, class: CssParser, class: ParseError

# Class CssParser.ParseError

java.lang.Object
javafx.css.CssParser.ParseError

Direct Known Subclasses:
  `CssParser.ParseError.InlineStyleParsingError, CssParser.ParseError.PropertySetError, CssParser.ParseError.StringParsingError, CssParser.ParseError.StylesheetParsingError`

Enclosing class:
  `CssParser`

public static class CssParser.ParseError extends Object
A class that encapsulates information about the source and nature of errors encountered while parsing CSS or applying styles to Nodes.

Since:
  9

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `CssParser.ParseError.InlineStyleParsingError`
  Encapsulate errors arising from parsing of Node's style property
  `static final class`
  `CssParser.ParseError.PropertySetError`
  Encapsulates errors arising from applying a style to a Node.
  `static final class`
  `CssParser.ParseError.StringParsingError`
  Encapsulate errors arising from parsing when the style is not an in-line style nor is the style from a stylesheet.
  `static final class`
  `CssParser.ParseError.StylesheetParsingError`
  Encapsulate errors arising from parsing of stylesheet files

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParseError(String message)`
  Constructs a `ParseError` object with the message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getMessage()`
  Returns the error message.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParseError

    public ParseError(String message)
    Constructs a `ParseError` object with the message.
    Parameters:
      `message` - the message

- ## Method Details

  - ### getMessage

    public final String getMessage()
    Returns the error message.
    Returns:
      the error message